version: '2'

services:
  db:
    image: mdillon/postgis:9.5
    ports:
      - 5434:5432
    environment:
      - POSTGRES_DB=homini
      - POSTGRES_PASSWORD=temp1234
    volumes:
      - ./pgdata:/var/lib/postgresql/data/

  api:
    build: .
    command: runserver
    volumes:
      - ./src:/app/src
    ports:
      - 8888:8000
    depends_on:
      - db
    links:
      - db:db
